// Herbruikbare package... 
package be.hogent.h20;

public class H20_Queue {
	
	private H20_List wachtLijst;
	
	public H20_Queue() {
		wachtLijst = new H20_List("Wachtlijst");
	}
	
	public synchronized void enqueue(Object x) {
		wachtLijst.insertAtBack(x);
	}
	
	public synchronized Object dequeue() throws H20_EmptyListException {
		return wachtLijst.removeFromFront();
	}
	
	public synchronized boolean isEmpty() {
		return wachtLijst.isEmpty();
	}
	
	public synchronized void print() {
		wachtLijst.print();
	}
}
